HYTHYGTEMP(4)

NAME
hythygtemp - Driver for IST-AG HYT-221/271/939 sensor chip via I2C bus

SYNOPSIS
hythygtemp* at iic? addr 0x28

DESCRIPTION
The hythygtemp driver provides measurements from the HYT-221/271/939 humidity/temperature sensors via the envsys(4) framework. The hythygtemp addr argument selects the address at the iic(4) bus. The sampling interval can be changed through the sysctl(8) node hw.hythygtemp0.interval.

The sensor chips can be reconfigured to respond to other addresses than the default value of 0x28 by external utilities, like for example the pkgsrc/sysutils/hytctl package.

SYSCTL VARIABLES
The following sysctl(3) variables are provided:

hw.hythygtemp0.interval
    Defines the sensor's sampling interval in seconds. It defaults to 50 seconds.

SEE ALSO
envsys(4), iic(4), envstat(8), sysctl(8)

HISTORY
The hythygtemp driver first appeared in NetBSD 7.0.

AUTHORS
-nosplit The hythygtemp driver was written by Frank Kardel <kardel@NetBSD.org> and Frank Wille <phx@NetBSD.org>.